Skip to main content
Hi, thanks for reading my post, I hope you enjoyed it. So, if you want me to keep you updated with the tech references in coming future please do share your valuable comments with me and also do not forget to share it with your friends....:)



Hi all, So it's been a while since i have updated anything. Heck it can't be even called a while. Well anyways, its great to be back. 

Recent layoffs has showed us some really tough times and i legit felt bad for those who lost their jobs in the ongoing layoffs. Stay Strong guys. recently i have joined the club and I am taking my time off and also thinking of up skilling myself.

So in my path of up skilling i thought of making you all part for the same as well. So i was thinking of sharing at least one blog a week of some cool thing that i read or learnt. Well Its been almost 5 years since my last post and I have grown and learnt a lot in this time. So for starters we can say there are so many topics. 

I am doing this for fun and would really work on the detailing and explanation of the topics.

So I was thinking of mostly sharing coding problems and their solutions, multiple technical aspects of starting an app, trending programming languages and obviously our niche technical news. I hope i do good and trust me i have learnt to take criticism positively in past few years...:p

Happy to see you all again. <3


Comments

Popular posts from this blog

1456, Maximum Number of Vowels in a Substring of Given Length

Hi, folks today I am here with an interesting coding problem from Leetcode. *To directly go to the question please click here. So I will walk through the solution. It will be a brute force and an optimized way solution. I will be explaining the optimized way solutions in depth. # Intuition For any substring of length k, we need to find how many vowels are there in it and provide the highest count of all counts of vowels in a substring. Test Case 1 Input k = 2 and s='asjdee' Output - 2 Explanation: As for substring of length k=2, in the string 's' we have 'ee' when the length is k and the vowels count is 2 Test Case 2 Input k=3 and s='aasdiisdwe' Output - 2 Explanation - For all the substrings with length k = 3 we have 'aas' and 'dii' with 2 vowels each in it. Brute Force - Looping (twice) - Gives TLE (Not recommended) # Approach Create a hashmap (dictionary) with all the vowels in it. Loop through the string till len(s)-k element of strin...

1235. Maximum Profit in Job Scheduling

Hi everyone, Today's post is little bit intriguing to me as it took me some time to get t the solution. I have been out of practice for a bit so I was not able to do it in the DP. I didn't want to copy the code. Though i understood the code after i checked its solution in the discussions. Anyways, i tried to do it with heap and with some thinking I was able to do it and with my surprise It performed real well. I would like to jump to the solution but first I would like to explain a little bit about heaps so you can get better understanding of the code. A heap is like a special type of list where the smallest (or largest) item is always at the front. Think of it like a priority line at a theme park, where the person with the highest priority goes to the front. There are two types of heaps: Min Heap: The smallest item is at the front. It's like standing in a line where the shortest person is always at the front. Max Heap: The largest item is at the front. It's like stand...

1721 - Swapping Nodes in a Linked List.

Hi, Today we will be solving leetcode qs 1721 - Swapping Nodes in a Linked List. This qs is really simple. We need to swap the nodes placed at k distance from the start and end of the Linked List. So let's suppose you have a Linked List input as follows: 1 -> 2-> 4 -> 5 -> 7 -> 8 -> 10-> 9  and you are given a k = 2, so the output should be 1 -> 10 -> 4 -> 5 -> 7 -> 8 -> 2 -> 9 so how do we achieve it??? Intuition The most brute force solution one can think of is using Array data structure. For that, we will traverse through linked List and store all the elements in the Array, swap the two numbers and again insert it in theLinked List again. Not bad, but let's deal with it, it is not the optimal solution and far from being as an acceptable solution in interviews. So what can we done instead of that??? Let's try to look deep into the working of Linked List first and how do we traverse it. Linked List is a linear data structure that...